package cn.iocoder.yudao.module.pms.service.yanfan.sip;


import cn.iocoder.yudao.module.pms.controller.admin.yanfan.enums.SessionType;
import cn.iocoder.yudao.module.pms.controller.admin.yanfan.sip.vo.InviteInfo;
import cn.iocoder.yudao.module.pms.controller.admin.yanfan.sip.vo.VideoSessionInfo;

import java.util.List;

public interface IInviteService {

    void updateInviteInfo(VideoSessionInfo sinfo, InviteInfo inviteInfo);

    InviteInfo getInviteInfo(SessionType type,
                             String deviceId,
                             String channelId,
                             String stream);

    List<InviteInfo> getInviteInfoAll(SessionType type, String deviceId, String channelId, String stream);

    InviteInfo getInviteInfoBySSRC(String ssrc);

    void removeInviteInfo(SessionType type,
                          String deviceId,
                          String channelId,
                          String stream);
}
